# This file created by conda-build 3.18.9
# meta.yaml template originally from:
# Origin b'https://github.com/intel-innersource/libraries.python.intel.condarecipes.matplotlib-recipe.git', commit b'a588b8a682fbfe6d88dcc11b73f2b522941b7301'
# ------------------------------------------------

package:
    name: matplotlib
    version: 3.1.2
source:
    -   git_rev: v3.1.2
        git_url: https://github.com/matplotlib/matplotlib
        patches:
            - cfg_notests.patch
            - osx-frame.patch
    -   folder: jquery-ui-1.12.1/
        sha256: f8233674366ab36b2c34c577ec77a3d70cac75d2e387d8587f3836345c0f624d
        url: https://jqueryui.com/resources/download/jquery-ui-1.12.1.zip
build:
    number: '11'
    string: py37hb1aa42e_11
requirements:
    host:
        - bzip2 1.0.8 h23dc21b_9
        - ca-certificates 2021.9.30 hecd8cb5_1
        - certifi 2021.10.8 py37hecd8cb5_0
        - cycler 0.10.0 py37_0
        - dpcpp-cpp-rt 2022.0.0 intel_57
        - dpcpp_cpp_rt 2022.0.0 intel_57
        - freetype 2.10.4 ha233b18_0
        - icc_rt 2022.0.0 intel_57
        - intel-cmplr-lic-rt 2022.0.0 intel_57
        - intel-openmp 2022.0.0 intel_57
        - intelpython 2022.1.0 2
        - libffi 3.3 14
        - libiconv 1.16 h1de35cc_0
        - libpng 1.6.37 8
        - mkl 2022.0.0 intel_46
        - mkl-service 2.4.0 py37h2b10f61_2
        - mkl_fft 1.3.1 py37ha8dd1ff_2
        - mkl_random 1.2.2 py37hae82cd8_3
        - mkl_umath 0.1.1 py37hf56e63b_11
        - nose 1.3.7 pyhd3eb1b0_1006
        - numpy 1.21.2 py37h2742bb4_0
        - numpy-base 1.21.2 py37hfeefec3_0
        - openssl 1.1.1l hb3434c5_1
        - pkg-config 0.29.2 h3efe00b_8
        - pyparsing 2.4.7 pyhd3eb1b0_0
        - python 3.7.11 h9d3246d_6
        - python-dateutil 2.8.2 py37_1
        - pytz 2021.3 pyhd3eb1b0_0
        - setuptools 58.0.4 py37hecd8cb5_0
        - six 1.16.0 pyhd3eb1b0_0
        - sqlite 3.36.0 hd543cf0_3
        - tbb 2021.5.0 intel_657
        - tbb4py 2021.5.0 py37_intel_657
        - tk 8.6.10 hb0a8c7a_0
        - tornado 6.1 py37h9ed2024_0
        - xz 5.2.5 h1de35cc_0
        - zlib 1.2.11.1 h6ba8802_5
    run:
        - cycler
        - freetype 2.10.*
        - freetype >=2.10.4,<3.0a0
        - intelpython >=2019.0
        - kiwisolver
        - libpng 1.6.*
        - numpy >=1.21.2,<2.0a0
        - pyparsing
        - python >=3.7,<3.8.0a0
        - python-dateutil
        - pytz
        - tcl
        - tk >=8.6.10,<8.7.0a0
test:
    imports:
        - matplotlib
    requires:
        - mock
        - nose
        - tornado
about:
    description: '<strong>LEGAL NOTICE: Use of this software package is subject to
        the

        software license agreement (as set forth above, in the license section of

        the installed Conda package and/or the README file) and all notices,

        disclaimers or license terms for third party or open source software

        included in or with the software.</strong>

        <br/><br/>

        EULA: <a href="http://matplotlib.sourceforge.net/users/license.html" target="_blank">PSF-based</a>

        <br/><br/>

        matplotlib is a python 2D plotting library which produces publication

        quality figures in a variety of hardcopy formats and interactive

        environments across platforms. matplotlib can be used in Python scripts,

        the Python and IPython shell (ala MATLAB or Mathematica), web

        application servers, and six graphical user interface toolkits.

        '
    dev_url: https://github.com/matplotlib/matplotlib
    doc_url: http://matplotlib.org/contents.html#
    home: http://matplotlib.org/
    license: PSF-based
    license_family: PSF
    license_file: LICENSE/LICENSE
    summary: Python 2D plotting library
extra:
    copy_test_source_files: true
    final: true
